%define pyver  %(%{__python} -c 'import sys ; print sys.version[:3]')

Name:           open-ovf
Version:        1.1
Release: 1.0.47%{?dist}.1
Epoch:		0
Summary:        OVF implementation
Group:          System Environment/Libraries
License:        EPL
URL:            http://open-ovf.sourceforge.net
Source:         %{name}-1.0.tar.gz
Patch0:		oracle-vm.patch
Patch2:         lsovf-vsinfo.patch
Patch3:         support-url-for-file-href-attr.patch
Patch4:         pack-unpack-xmconfig-cert-enhancements.patch
Patch5:         support-url-for-file-href-attr-2.patch
Patch6:         ovfapi.patch
Patch7:         support-elements-with-and-without-ovf-tag.patch
Patch8:         support-chunksize-attr-for-file-references.patch
Patch9:         make-certificate-file-optional.patch
Patch10:        update-version-and-schemas-to-ovf-spec-1.1.0.patch
Patch11:        get-list-of-files-not-in-ova.patch
Patch12:        support-shared-disks.patch
Patch13:        add-initial-min-max-attrs-to-virtualsystem.patch
Patch14:        extracted-ova-layout-and-empty-disk.patch
Patch15:        support-strings-element-for-resource-bundles.patch
Patch16:        ova-package-validation.patch
Patch17:        ova-command-fixes.patch
Patch18:        ovfset-fix-typo.patch
Patch19:        update-schema-extensions.patch
Patch20:        fix-vm-virtual-disk-allocation.patch
Patch21:        fix-typerror-in-ovfcertificate.patch
Patch22:        ova-package-validation-2.patch
Patch23:        ova-package-validation-3.patch
Patch24:        support-ovm-extensions.patch
Patch25:        ova-certificate-manifest-pack-unpack-vstype.patch
Patch26:        deploy-disk-and-other-fixes.patch
Patch27:        fix-unpack-getovfdisks.patch
Patch28:        minor-fixes-and-cleanup.patch
Patch29:        fix-manifest-and-ova-package-ordering.patch
Patch30:        deploy-disk-option.patch
Patch31:        urllib-to-urlgrabber.patch
Patch32: fix-ova-validation.patch
Patch33: remove-libvirt-dependency.patch
Patch34: cleanup-and-validation.patch
Patch35: create-networkextension-element.patch
Patch36: environment-xml-namespace.patch
Patch37: shared-disk-read-only-attr.patch
Patch38: envelope-init-and-property.patch
Patch39: fix-lsovf-script.patch
Patch40: support-sparse-for-convert-file.patch
Patch41: pipe-passphrase-for-private-key-to-ova-command.patch
Patch42: case-insensitive-checksum-comparision.patch
# End Oracle Patches

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  python-devel >= 2.4, libxml2-python
Requires:       python >= 2.4, libxml2-python

%description
open-OVF project is an open source library and tools designed to promote adoption 
of the OVF (Open Virtual Machine Format) specification as an industry standard.
It provides complete support for creating, using and maintaining OVF appliances. 

%define debug_package %{nil}

%prep
%setup -n open-ovf-1.0
%patch0 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p1
%patch24 -p1
%patch25 -p1
%patch26 -p1
%patch27 -p1
%patch28 -p1
%patch29 -p1
%patch30 -p1
%patch31 -p1
%patch32 -p0
%patch33 -p0
%patch34 -p0
%patch35 -p0
%patch36 -p0
%patch37 -p0
%patch38 -p0
%patch39 -p0
%patch40 -p0
%patch41 -p0
%patch42 -p0

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --root=$RPM_BUILD_ROOT \
  --record=INSTALLED_FILES
sed 's|^\(.*\.pyo\)$|%ghost \1|' < INSTALLED_FILES > %{name}-%{version}.files
find $RPM_BUILD_ROOT%{_libdir}/python%{pyver}/site-packages/* -type d \
  | sed "s|^$RPM_BUILD_ROOT|%dir |" >> %{name}-%{version}.files

# schema docs
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/%{name}/
cp -pr schemas ${RPM_BUILD_ROOT}%{_datadir}/%{name}/schemas
find ${RPM_BUILD_ROOT}%{_datadir}/%{name}/schemas/* \
  | sed "s|^$RPM_BUILD_ROOT||" >> %{name}-%{version}.files
find ${RPM_BUILD_ROOT}%{_datadir}/%{name}/schemas/ -type d \
  | sed "s|^$RPM_BUILD_ROOT|%dir |" >> %{name}-%{version}.files

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}.files
%defattr(-,root,root,-)
%doc LICENSE CONTRIBUTING README

%changelog
* Thu Jul 05 2012 Srinivas Maturi <srinivas.maturi@oracle.com> - 1.1-1.0.47.el5.1 
- Make checksum comparsion case insensitive during validation [bug 14284318] 

* Fri Mar 02 2012 Srinivas Maturi <srinivas.maturi@oracle.com> - 1.1-1.0.47 
- Add option '-p' to ova --cerificate, to be able to pipe passphrase
  with no manual intervention [bug 13719811] 

* Wed Feb 08 2012 Srinivas Maturi <srinivas.maturi@oracle.com> - 1.1-1.0.46 
- Support sparse while unpacking the image file [bug 13695845]

* Wed Jan 18 2012 Srinivas Maturi <srinivas.maturi@oracle.com> - 1.1-1.0.45 
- Fix lsovf to support node elements with 'ovf:' tag 

* Wed Sep 21 2011 Srinivas Maturi <srinivas.maturi@oracle.com> - 1.1-1.0.44 
- Updates to envelope initialization.
  Do not add password and scaling attributes to property if they are not true. 

* Fri Aug 12 2011 Srinivas Maturi <srinivas.maturi@oracle.com> - 1.1-1.0.43 
- Add read-only attribute to Disk element for shared disk (AB teams' request) 

* Mon Aug 08 2011 Srinivas Maturi <srinivas.maturi@oracle.com> - 1.1-1.0.42 
- Update version to sync with OVF spec 1.1

* Thu Jul 28 2011 Srinivas Maturi <srinivas.maturi@oracle.com> - 0.1-3.0.42 
- Add xml namespace to elements in Environment file 

* Wed Jul 13 2011 Srinivas Maturi <srinivas.maturi@oracle.com> - 0.1-3.0.41 
- Create NetworkExtension element in NetworkSection for
  network type - InternetRoutable, NonInternetRoutable, and RFC1918 

* Tue May 10 2011 Srinivas Maturi <srinivas.maturi@oracle.com> - 0.1-3.0.40 
- Cleanup and update common.xsd for validation. 

* Mon May 09 2011 Srinivas Maturi <srinivas.maturi@oracle.com> - 0.1-3.0.39 
- Remove libvirt dependency 

* Wed Feb 09 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 0.1-3.0.38 
- fix ova validation.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Srinivas Maturi <srinivas.maturi@oracle.com> 

* Thu Jan 06 2011 Srinivas Maturi <srinivas.maturi@oracle.com> - 0.1-3.0.37
- Change urllib to urlgrabber

* Tue Nov 02 2010 Srinivas Maturi <srinivas.maturi@oracle.com> - 0.1-3.0.36
- Deploy disk option [Zhigang Wang]

* Tue Nov 02 2010 Srinivas Maturi <srinivas.maturi@oracle.com> - 0.1-3.0.35
- Fix makeManifest with image file chunks
- Fix ordering of files while packaging, by adding file references
  not referred by disks at the end
- Remove temporary copies of image files while unpacking

* Thu Oct 28 2010 Srinivas Maturi <srinivas.maturi@oracle.com> - 0.1-3.0.34
- Minor fixes
- Cleanup ova

* Thu Oct 28 2010 Srinivas Maturi <srinivas.maturi@oracle.com> - 0.1-3.0.33
- Fix unpack to use the correct file path in OvfSet.writeAsTar
- Fix calls to uncompressFile in OvfLibvirt.getOvfDisks [Zhigang Wang]

* Wed Oct 27 2010 Srinivas Maturi <srinivas.maturi@oracle.com> - 0.1-3.0.32
- Make chunk file extensions zero based
- Add deploydisk option
= Remove file concatenation/uncompress for unpack option 

* Fri Oct 15 2010 Srinivas Maturi <srinivas.maturi@oracle.com> - 0.1-3.0.31
- Support reference file compression without using file extensions (.gz and .bz2)
- Support certificate file creation with user supplied X509 certificate and 
  private key
- Add OracleVM specific VirtualSystemTypes
  'DMTF:Oracle:OracleVM:PVM' for xenpv
  'DMTF:Oracle:OracleVM:HVM' for xenfv
- Add exit status for ova commands

* Wed Sep 22 2010 Srinivas Maturi <srinivas.maturi@oracle.com> - 0.1-3.0.30
- Support OVM extensions, ScalingSection, AffinitySection, NetworkClassSection,
  and StorageClassSection

* Fri Sep 17 2010 Srinivas Maturi <srinivas.maturi@oracle.com> - 0.1-3.0.29
- Fix validateAppliance function in 'ova' command

* Fri Sep 17 2010 Zhigang Wang <zhigang.x.wang@oracle.com> - 0.1-3.0.28
- Fix TypeError in OvfCertificate, raise NoneType in python 2.4+ is not allowed 

* Thu Aug 26 2010 Srinivas Maturi <srinivas.maturi@oracle.com> - 0.1-3.0.27
- Fix VM virtual disk allocation

* Thu Aug 26 2010 Srinivas Maturi <srinivas.maturi@oracle.com> - 0.1-3.0.26
- Update OVM schema extensions

* Mon Aug 23 2010 Zhigang Wang <zhigang.x.wang@oracle.com> - 0.1-3.0.25
- Fix typo in OvfSet module

* Fri Jul 16 2010 srinivas.maturi@oracle.com - 0.1-3.0.24
- ova command: support virtual system id for --xmconfig option
- Fix the library to handle empty elements, e.g., 
  <rasd:Address xsi:nil="true"/>

* Mon Jul 12 2010 srinivas.maturi@oracle.com - 0.1-3.0.23
- Verify certificate as part of ova package validation

* Tue Jun 29 2010 srinivas.maturi@oracle.com - 0.1-3.0.22
- Support Strings section for resource bundles

* Tue Jun 08 2010 srinivas.maturi@oracle.com - 0.1-3.0.21
- Change the directory layout of extracted VMs from ova
- Empty disk support

* Tue Jun 08 2010 srinivas.maturi@oracle.com - 0.1-3.0.20
- Support initial/min/max attributes for VirtualSystem

* Tue Jun 08 2010 srinivas.maturi@oracle.com - 0.1-3.0.19
- Support ovm:shared attribute for Disk element and extraction of shared disks

* Thu Jun 03 2010 srinivas.maturi@oracle.com - 0.1-3.0.18
- Get the list of file references that are not part of ova package

* Thu Apr 15 2010 srinivas.maturi@oracle.com - 0.1-3.0.17
- Update xml namespace for OVM

* Wed Mar 24 2010 srinivas.maturi@oracle.com - 0.1-3.0.16
- Update version and schemas to OVF spec 1.1.0
- Add schema for OVM extensions

* Thu Mar 16 2010 srinivas.maturi@oracle.com - 0.1-3.0.15
- Make certificate file optional

* Thu Mar 16 2010 srinivas.maturi@oracle.com - 0.1-3.0.14
- Support chunksize attribute in the File elmenent of References section

* Thu Mar 04 2010 srinivas.maturi@oracle.com - 0.1-3.0.13
- Support node elements in envelope file with and without 'ovf:' tag

* Mon Feb 01 2010 srinivas.maturi@oracle.com - 0.1-3.0.12
- Add ovfapi.patch for external API

* Thu Jan 28 2010 srinivas.maturi@oracle.com - 0.1-3.0.11
- Add support-url-for-file-href-attr-2.patch to support url 
  in file element href attribute

* Thu Jan 28 2010 srinivas.maturi@oracle.com - 0.1-3.0.10
- Add patch pack-unpack-xmconfig-cert-enhancements.patch, to
  copy VM specific disk images to a separate directory, and create
  certificate file

* Thu Jan 28 2010 srinivas.maturi@oracle.com - 0.1-3.0.9
- Support url in file element href attribute

* Tue Aug 18 2009 tianyue.lan@oracle.com - 0.1-3.0.8
- Added lsovf-vsinfo.patch

* Thu Aug 11 2009 srinivas.maturi@oracle.com - 0.1-3.0.7
- Update oracle-vm.patch to convert the VM memory from KB to MB before writing 
  the VM config file vm.cfg, and to extract the contents of the appliance to a 
  specified location after validating the appliance

* Thu Jun 22 2009 srinivas.maturi@oracle.com - 0.1-3.0.7
- Recreated tarball and oracle-vm.patch based on mainline source
  dated 06-09-2009, as patch to address deployment configuration and 
  lsovf rewrite are accepted
- Update oracle-vm.patch for rmovf and chovf, and fix in mkovf for
  creating the DeploymentOptionSection and StartupSection

* Thu May 28 2009 srinivas.maturi@oracle.com - 0.1-3.0.7
- Update oracle-vm.patch to address deployment configuration as defined
  in DeploymentOptionsSection

* Fri May 15 2009 srinivas.maturi@oracle.com - 0.1-3.0.7
- Update oracle-vm.patch to remove extra disk images in the case of single 
  file reference being shared by more than one disk, and fix pack/unpack options

* Mon Apr 28 2009 srinivas.maturi@oracle.com - 0.1-3.0.7
- Recreated tarball and oracle-vm.patch based on mainline source
  dated 04-28-2009, as startup and multivm patches are accepted

* Mon Apr 20 2009 srinivas.maturi@oracle.com - 0.1-3.0.7
- Recreated oracle-vm.patch for Multi VM support with same base OS disk image 
  for all VMs
- Set manifest file permissions to 0600 after creating
- Guest Environment file generated will be <ovfid>.xml in multi VM case and
  ovf-env.xml in single VM case
- Minor fixes in ova script and ovf/OvfLibvirt.py

* Mon Apr 06 2009 srinivas.maturi@oracle.com - 0.1-3.0.7
- recreated tarball and oracle-vm.patch based on mainline source 
  dated 04-06-2009, as the patch provided to validate the 
  Environment file is accepted

* Thu Feb 26 2009 srinivas.maturi@oracle.com - 0.1-3.0.7
- Remove the patch for common.xsd added in previous release from 
  oracle-vm.patch as backported a fix to libxml2 that addresses the
  issue with validation
- Support StartupSection for Oracle VM Server
- Add patch build-el4.patch to build for el4, to be able to run
  'ova --templateconfig' in el4 templates
- Remove diable-libvirt.patch

* Tue Feb 17 2009 srinivas.maturi@oracle.com - 0.1-3.0.6
- Package schema docs
- Comment out the definition of qualifierSArray in common.xsd and
  update oracle-vm.patch to address validation of OVF and ENV files

* Tue Feb 12 2009 srinivas.maturi@oracle.com - 0.1-3.0.5
- recreated tarball and oracle-vm.patch based on mainline source 
  dated 01-05-2009
- Add support for compressed formats (gzip/bzip2) for disk image files
- Update lsovf based on latest OVF spec and add --vsinfo option
- Add diable-libvirt.patch
- Update BuildRequires and Requires in specfile

* Tue Dec 23 2008 srinivas.maturi@oracle.com - 0.1-3.0.4
- Renamed oracle-vm-Dec04-2008.patch as oracle-vm.patch
- recreated oracle-vm.patch based on mainline source dated 12-16-2008

* Fri Dec 05 2008 srinivas.maturi@oracle.com - 0.1-3.0.3
- recreated oracle-vm-Dec04-2008.patch

* Fri Nov 21 2008 srinivas.maturi@oracle.com - 0.1-3.0.2
- recreated oracle-vm-Nov21-2008.patch

* Mon Oct 27 2008 srinivas.maturi@oracle.com - 0.1-3.0.1
- recreated oracle-vm-oct26-2008.patch
  Added another option (--setenv) to ova

* Tue Oct 24 2008 srinivas.maturi@oracle.com - 0.1-3
- updated tarball from latest git repository.
- changed files in oracle-vm-oct24-2008.patch
  py/ovf/env/__init__.py
  py/ovf/env/EnvironmentSection.py
  py/ovf/OvfSet.py
  py/ovf/OvfPlatform.py
  py/ovf/__init__.py
  py/ovf/OvfLibvirt.py
  py/ovf/Ovf.py
  py/scripts/ova
  py/scripts/lsovf
  setup.py
 
* Tue Oct 21 2008 srinivas.maturi@oracle.com - 0.1-2
- changed files in oracle-vm-oct12-2008.patch
  setup.py
  py/ovf/env/__init__.py
  py/ovf/env/EnvironmentSection.py
  py/ovf/OvfSet.py
  py/ovf/OvfLibvirt.py
  py/scripts/ova 

* Thu Oct 16 2008 Tianyue Lan <tianyue.lan@oracle.com> - 0.1-1
- initial build
